pcl::registration::PoseMeasurement< VertexT, InformationT > Struct Template Reference
Module registration

PoseMeasurement struct More...

`#include <pcl/registration/edge_measurements.h>`

## Public Member Functions

| PoseMeasurement (const VertexT &v_s, const VertexT &v_e, const Eigen::Matrix4f &tr, const InformationT &mtx)

## Public Attributes

VertexT | v_start
VertexT | v_end
Eigen::Matrix4f | relative_transformation
InformationT | information_matrix

## Detailed Description

### template<typename VertexT, typename InformationT>
struct pcl::registration::PoseMeasurement< VertexT, InformationT >

PoseMeasurement struct

Author
  Nicola Fioraio

Definition at line 60 of file edge_measurements.h.

## Constructor & Destructor Documentation

## PoseMeasurement()

template<typename VertexT , typename InformationT >

pcl::registration::PoseMeasurement< VertexT, InformationT >::PoseMeasurement | ( | const VertexT & | v_s,
|  | const VertexT & | v_e,
|  | const Eigen::Matrix4f & | tr,
|  | const InformationT & | mtx
| ) |  |

inline

Definition at line 66 of file edge_measurements.h.

## Member Data Documentation

## information_matrix

template<typename VertexT , typename InformationT >

InformationT pcl::registration::PoseMeasurement< VertexT, InformationT >::information_matrix

Definition at line 64 of file edge_measurements.h.

## relative_transformation

template<typename VertexT , typename InformationT >

Eigen::Matrix4f pcl::registration::PoseMeasurement< VertexT, InformationT >::relative_transformation

Definition at line 63 of file edge_measurements.h.

## v_end

template<typename VertexT , typename InformationT >

VertexT pcl::registration::PoseMeasurement< VertexT, InformationT >::v_end

Definition at line 62 of file edge_measurements.h.

## v_start

template<typename VertexT , typename InformationT >

VertexT pcl::registration::PoseMeasurement< VertexT, InformationT >::v_start

Definition at line 62 of file edge_measurements.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/edge_measurements.h